﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

using System.IO;//@

namespace howto_orient_image
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        // Restore the saved file name.
        private void Form1_Load(object sender, EventArgs e)
        {
            txtFile.Text = Properties.Settings.Default.Filename;
        }

        // Save the current file name.
        private void Form1_FormClosing(object sender, FormClosingEventArgs e)
        {
            Properties.Settings.Default.Filename = txtFile.Text;
            Properties.Settings.Default.Save();
        }

        // Let the user select a file.
        private void btnPickFile_Click(object sender, EventArgs e)
        {
            ofdFile.FileName = txtFile.Text;
            if (ofdFile.ShowDialog() == DialogResult.OK)
            {
                txtFile.Text = ofdFile.FileName;
                picOriginal.Image = null;
                picOriented.Image = null;
            }
        }

        // Open the file and read its orientation information.
        private void btnOpen_Click(object sender, EventArgs e)
        {
            // Open the file.
            using (Bitmap bm = new Bitmap(txtFile.Text))
            {
                // Display the original image.
                Bitmap original_bm = new Bitmap(bm);
                picOriginal.Image = original_bm;

                // Display the image property oriented.
                // Note: If you use new Bitmap(bm) to make the copy,
                //       then the EXIF properties are lost. Clone instead.
                Bitmap oriented_bm = (Bitmap)bm.Clone();
                ExifStuff.OrientImage(oriented_bm);
                picOriented.Image = oriented_bm;
            }
        }
    }
}
